# class Tk::Iwidgets::Datefield

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

get()
Alias for: get_string
get_clicks() click to toggle source

    # File lib/tkextlib/iwidgets/datefield.rb, line 42
    def get_clicks
      number(tk_call(@path, 'get', '-clicks'))
    end

get_string() click to toggle source

    # File lib/tkextlib/iwidgets/datefield.rb, line 37
    def get_string
      tk_call(@path, 'get', '-string')
    end

Also aliased as: get
isvalid?()
Alias for: valid?
show(date=None) click to toggle source

    # File lib/tkextlib/iwidgets/datefield.rb, line 51
    def show(date=None)
      tk_call(@path, 'show', date)
      self
    end

show_now() click to toggle source

    # File lib/tkextlib/iwidgets/datefield.rb, line 55
    def show_now
      tk_call(@path, 'show', 'now')
      self
    end

valid?() click to toggle source

    # File lib/tkextlib/iwidgets/datefield.rb, line 46
    def valid?
      bool(tk_call(@path, 'isvalid'))
    end

Also aliased as: isvalid?

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/datefield.rb, line 22
    def __boolval_optkeys
      super() << 'gmt'
    end

__font_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Labeledwidget#__font_optkeys

    # File lib/tkextlib/iwidgets/datefield.rb, line 32
    def __font_optkeys
      super() << 'textfont'
    end

__strval_optkeys() click to toggle source
Calls superclass method Tk::Iwidgets::Labeledwidget#__strval_optkeys

    # File lib/tkextlib/iwidgets/datefield.rb, line 27
    def __strval_optkeys
      super() << 'textbackground'
    end